#!/bin/sh

echo --- cleaning up libraries ---
mv /usr/lib/libsecbasecomponent.so.0 /usr/lib/libsecbasecomponent.so
ln -s /usr/lib/libsecbasecomponent.so /usr/lib/libsecbasecomponent.so.0
mv /usr/lib/libSEC_OMX_Vdec.so.0 /usr/lib/libSEC_OMX_Vdec.so
ln -s /usr/lib/libSEC_OMX_Vdec.so /usr/lib/libSEC_OMX_Vdec.so.0
mv /usr/lib/libsecmfcdecapi.so.0 /usr/lib/libsecmfcdecapi.so
ln -s /usr/lib/libsecmfcdecapi.so /usr/lib/libsecmfcdecapi.so.0
mv /usr/lib/libSEC_Resourcemanager.so.0 /usr/lib/libSEC_Resourcemanager.so
ln -s /usr/lib/libSEC_Resourcemanager.so /usr/lib/libSEC_Resourcemanager.so.0
mv /usr/lib/libSEC_OMX_Venc.so.0 /usr/lib/libSEC_OMX_Venc.so
ln -s /usr/lib/libSEC_OMX_Venc.so /usr/lib/libSEC_OMX_Venc.so.0
mv /usr/lib/libsecosal.so.0 /usr/lib/libsecosal.so
ln -s /usr/lib/libsecosal.so /usr/lib/libsecosal.so.0
mv /usr/lib/libsrpapi.so.0 /usr/lib/libsrpapi.so
ln -s /usr/lib/libsrpapi.so /usr/lib/libsrpapi.so.0
mv /usr/lib/libSEC_OMX_Adec.so.0 /usr/lib/libSEC_OMX_Adec.so
ln -s /usr/lib/libSEC_OMX_Adec.so /usr/lib/libSEC_OMX_Adec.so.0
mv /usr/lib/libSEC_OMX_Core.so.0 /usr/lib/libSEC_OMX_Core.so
ln -s /usr/lib/libSEC_OMX_Core.so /usr/lib/libSEC_OMX_Core.so.0
mv /usr/lib/libsecmfcencapi.so.0 /usr/lib/libsecmfcencapi.so
ln -s /usr/lib/libsecmfcencapi.so /usr/lib/libsecmfcencapi.so.0
mv /usr/lib/libcscexynos4.so.0 /usr/lib/libcscexynos4.so
ln -s /usr/lib/libcscexynos4.so /usr/lib/libcscexynos4.so.0

echo --- removing unneeded packages ---
rpm -e $(rpm -qa 'org.*') --nodeps --quiet
rpm -e $(rpm -qa 'ug*') --nodeps --quiet
rpm -e $(rpm -qa 'libwidget*') --nodeps --quiet
rpm -e $(rpm -qa 'wrt*') --nodeps --quiet
rpm -e $(rpm -qa 'gst-*') --nodeps --quiet
rpm -e $(rpm -qa 'libmm*') --nodeps --quiet
rpm -e $(rpm -qa 'ise*') --nodeps --quiet
rpm -e $(rpm -qa 'isf*') --nodeps --quiet
rpm -e $(rpm -qa 'anthy*') --nodeps --quiet
rpm -e $(rpm -qa 'edje*') --nodeps --quiet
rpm -e $(rpm -qa 'e17*') --nodeps --quiet
rpm -e $(rpm -qa 'eina*') --nodeps --quiet
rpm -e $(rpm -qa 'efreet*') --nodeps --quiet
rpm -e $(rpm -qa '*blue*') --nodeps --quiet
rpm -e $(rpm -qa '*nfc*') --nodeps --quiet
rpm -e $(rpm -qa '*pulse*') --nodeps --quiet
rpm -e $(rpm -qa '*alsa*') --nodeps --quiet
rpm -e $(rpm -qa '*tel*') --nodeps --quiet
rpm -e $(rpm -qa 'efl*') --nodeps --quiet
rpm -e $(rpm -qa 'ecore*') --nodeps --quiet
rpm -e $(rpm -qa 'eio*') --nodeps --quiet
rpm -e $(rpm -qa 'embryo*') --nodeps --quiet
rpm -e $(rpm -qa 'eet*') --nodeps --quiet
rpm -e $(rpm -qa 'edbus*') --nodeps --quiet
rpm -e $(rpm -qa 'xorg*') --nodeps --quiet
rpm -e $(rpm -qa 'capi*') --nodeps --quiet
rpm -e $(rpm -qa '*smartcard*') --nodeps --quiet
rpm -e $(rpm -qa '*agent*') --nodeps --quiet
rpm -e $(rpm -qa '*service*') --nodeps --quiet
rpm -e $(rpm -qa 'media-server*') --nodeps --quiet
rpm -e $(rpm -qa '*alarm*') --nodeps --quiet
rpm -e $(rpm -qa 'ss-server*') --nodeps --quiet
rpm -e $(rpm -qa '*lbs-server*') --nodeps --quiet
rpm -e $(rpm -qa 'media-thumbnail-server*') --nodeps --quiet
rpm -e $(rpm -qa 'data-provider-master*') --nodeps --quiet
rpm -e $(rpm -qa 'gstreamer*') --nodeps --quiet
rpm -e $(rpm -qa 'default-fonts-sdk*') --nodeps --quiet
rpm -e $(rpm -qa 'app-svc*') --nodeps --quiet
rpm -e $(rpm -qa 'web-ui*') --nodeps --quiet
rpm -e $(rpm -qa 'audio-hal*') --nodeps --quiet
rpm -e $(rpm -qa 'browser-provider*') --nodeps --quiet
rpm -e $(rpm -qa 'haptic-module-tizen*') --nodeps --quiet
rpm -e $(rpm -qa 'cert-svc-ui*') --nodeps --quiet
rpm -e $(rpm -qa 'mms-plugin*') --nodeps --quiet
rpm -e $(rpm -qa '*buxton*') --nodeps --quiet
rpm -e $(rpm -qa 'libmedia*') --nodeps --quiet
rpm -e $(rpm -qa 'ui-gadget*') --nodeps --quiet
rpm -e $(rpm -qa 'chromium*') --nodeps --quiet
rpm -e $(rpm -qa 'app-core-efl*') --nodeps --quiet
rpm -e $(rpm -qa 'obexd*') --nodeps --quiet
rpm -e $(rpm -qa 'openal-soft*') --nodeps --quiet
rpm -e $(rpm -qa 'crash-worker*') --nodeps --quiet
rpm -e $(rpm -qa '*launchpad*') --nodeps --quiet
rpm -e $(rpm -qa '*sdbd*') --nodeps --quiet
rpm -e $(rpm -qa 'default-fonts-fc*') --nodeps --quiet
rpm -e $(rpm -qa 'media-data-sdk*') --nodeps --quiet
rpm -e $(rpm -qa 'wifi-direct-manager*') --nodeps --quiet
rpm -e $(rpm -qa '*popup*') --nodeps --quiet
rpm -e $(rpm -qa 'data-router*') --nodeps --quiet
rpm -e $(rpm -qa 'messageportd*') --nodeps --quiet
rpm -e $(rpm -qa 'libcore-context-manager*') --nodeps --quiet
rpm -e $(rpm -qa 'account-parser*') --nodeps --quiet
rpm -e $(rpm -qa '*sensord*') --nodeps --quiet
rpm -e $(rpm -qa '*clock*') --nodeps --quiet
rpm -e $(rpm -qa '*wifidirect*') --nodeps --quiet
rpm -e $(rpm -qa 'data-control*') --nodeps --quiet
rpm -e $(rpm -qa '*location*') --nodeps --quiet
rpm -e $(rpm -qa 'evas*') --nodeps --quiet
rpm -e $(rpm -qa 'libcamsrcjpegenc*') --nodeps --quiet
rpm -e $(rpm -qa 'my-account*') --nodeps --quiet
rpm -e $(rpm -qa 'sms-plugin*') --nodeps --quiet
rpm -e $(rpm -qa 'download-provider*') --nodeps --quiet
rpm -e $(rpm -qa 'stt*') --nodeps --quiet
rpm -e $(rpm -qa '*tapi*') --nodeps --quiet
rpm -e $(rpm -qa '*speex*') --nodeps --quiet
rpm -e $(rpm -qa 'tizen-debug*') --nodeps --quiet
rpm -e $(rpm -qa 'tts*') --nodeps --quiet
rpm -e $(rpm -qa 'hunspell*') --nodeps --quiet
rpm -e $(rpm -qa 'libshortcut*') --nodeps --quiet
rpm -e $(rpm -qa 'net.wifi-qs*') --nodeps --quiet
rpm -e $(rpm -qa 'libuw-imap-toolkit*') --nodeps --quiet
rpm -e $(rpm -qa 'cbhm*') --nodeps --quiet
rpm -e $(rpm -qa 'starter*') --nodeps --quiet
rpm -e $(rpm -qa 'libslp-lbsplugin-replay*') --nodeps --quiet
rpm -e $(rpm -qa 'ethumb*') --nodeps --quiet
rpm -e $(rpm -qa 'libaccounts-svc*') --nodeps --quiet
rpm -e $(rpm -qa 'webkit2-efl*') --nodeps --quiet
rpm -e $(rpm -qa 'wifi-efl-ug*') --nodeps --quiet
rpm -e $(rpm -qa 'audio-session-manager*') --nodeps --quiet
rpm -e $(rpm -qa 'elementary*') --nodeps --quiet
rpm -e $(rpm -qa 'elm-misc*') --nodeps --quiet
rpm -e $(rpm -qa 'libavutil*') --nodeps --quiet
rpm -e $(rpm -qa 'libavformat*') --nodeps --quiet
rpm -e $(rpm -qa 'minicontrol*') --nodeps --quiet
rpm -e $(rpm -qa 'opengl-es-virtual-drv*') --nodeps --quiet
rpm -e $(rpm -qa 'libICE*') --nodeps --quiet
rpm -e $(rpm -qa 'libSM*') --nodeps --quiet
rpm -e $(rpm -qa 'libXt*') --nodeps --quiet
rpm -e $(rpm -qa 'libXmu*') --nodeps --quiet
rpm -e $(rpm -qa 'opencore-amr*') --nodeps --quiet
rpm -e $(rpm -qa 'libttssmt*') --nodeps --quiet
rpm -e $(rpm -qa 'freealut*') --nodeps --quiet
rpm -e $(rpm -qa 'cairo*') --nodeps --quiet
rpm -e $(rpm -qa 'message-port*') --nodeps --quiet
rpm -e $(rpm -qa 'xkb-data*') --nodeps --quiet
rpm -e $(rpm -qa 'wifi-direct-plugin-wpasupplicant*') --nodeps --quiet
rpm -e $(rpm -qa 'libXgesture*') --nodeps --quiet
rpm -e $(rpm -qa 'key-manager-listener*') --nodeps --quiet
rpm -e $(rpm -qa 'libkey-manager-client*') --nodeps --quiet
rpm -e $(rpm -qa 'key-manager*') --nodeps --quiet
rpm -e $(rpm -qa 'libkey-manager-common*') --nodeps --quiet
rpm -e $(rpm -qa 'libscl-ui*') --nodeps --quiet
rpm -e $(rpm -qa 'elm-modules*') --nodeps --quiet
rpm -e $(rpm -qa 'libfeedback*') --nodeps --quiet
rpm -e $(rpm -qa 'libsoup*') --nodeps --quiet
rpm -e $(rpm -qa 'glib-networking*') --nodeps --quiet
rpm -e $(rpm -qa 'privacy-manager-client*') --nodeps --quiet
rpm -e $(rpm -qa 'libpush*') --nodeps --quiet
rpm -e $(rpm -qa 'push-bin*') --nodeps --quiet
rpm -e $(rpm -qa 'notification*') --nodeps --quiet
rpm -e $(rpm -qa 'appcore-widget*') --nodeps --quiet
rpm -e $(rpm -qa 'net-config*') --nodeps --quiet
rpm -e $(rpm -qa 'privacy-manager-server*') --nodeps --quiet
rpm -e $(rpm -qa 'pkgmgr*') --nodeps --quiet
rpm -e $(rpm -qa 'liblbs-dbus*') --nodeps --quiet
rpm -e $(rpm -qa 'libXdmcp*') --nodeps --quiet
rpm -e $(rpm -qa 'badge*') --nodeps --quiet
rpm -e $(rpm -qa 'libasound*') --nodeps --quiet
rpm -e $(rpm -qa 'libavcodec*') --nodeps --quiet
rpm -e $(rpm -qa 'libxkbfile*') --nodeps --quiet
rpm -e $(rpm -qa 'xkeyboard-config*') --nodeps --quiet
rpm -e $(rpm -qa 'spindly*') --nodeps --quiet
rpm -e $(rpm -qa 'appfw-env*') --nodeps --quiet
rpm -e $(rpm -qa 'opengl-es*') --nodeps --quiet
rpm -e $(rpm -qa 'harfbuzz*') --nodeps --quiet
rpm -e $(rpm -qa 'deviced*') --nodeps --quiet
rpm -e $(rpm -qa 'libjpeg-turbo*') --nodeps --quiet
rpm -e $(rpm -qa 'libXfont*') --nodeps --quiet
rpm -e $(rpm -qa 'freetype*') --nodeps --quiet
rpm -e $(rpm -qa 'fontconfig*') --nodeps --quiet
rpm -e $(rpm -qa 'boot-animation*') --nodeps --quiet
rpm -e $(rpm -qa 'app-core-common*') --nodeps --quiet
rpm -e $(rpm -qa 'pims-ipc*') --nodeps --quiet
rpm -e $(rpm -qa 'fribidi*') --nodeps --quiet
rpm -e $(rpm -qa 'liboauth*') --nodeps --quiet
rpm -e $(rpm -qa 'mmfw-sysconf-cleansdk-e4x12*') --nodeps --quiet
rpm -e $(rpm -qa 'device-manager-plugin-exynos*') --nodeps --quiet
rpm -e $(rpm -qa 'libhangul*') --nodeps --quiet
rpm -e $(rpm -qa 'libfontenc*') --nodeps --quiet
rpm -e $(rpm -qa 'libremix*') --nodeps --quiet
rpm -e $(rpm -qa 'libXinerama*') --nodeps --quiet
rpm -e $(rpm -qa 'libXcomposite*') --nodeps --quiet
rpm -e $(rpm -qa 'libtheora*') --nodeps --quiet
rpm -e $(rpm -qa 'libsndfile*') --nodeps --quiet
rpm -e $(rpm -qa 'libvorbis*') --nodeps --quiet
rpm -e $(rpm -qa 'libogg*') --nodeps --quiet

echo --- syncing and rebooting the device ---
sync
reboot